Subject: Re: [PATCH/RFC] Add support for freescale watchdog to CPM serial driver.

From: Scott Wood <[email-masked]>
Date: Wed, 2 Jan 2008 11:45:58 -0600

On Fri, Dec 28, 2007 at 04:18:36PM +0100, Jochen Friedrich wrote:
> If a freescale watchdog device node is present, reset the watchdog
> while waiting for serial input.

Hmm...  I don't like combining the watchdog and serial code together.  What
if some other serial device is used with this watchdog?  The serial driver
should only have to call an externally provided poke_watchdog() function.

-Scott